OfficeGest
Workshop/Mechanic availability

Mechanic availability

Returns lists of available and busy mechanics in the workshop.

GET
/workshop/mechanic-availability
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://og-tenant1.test:8003/api/v2/workshop/mechanic-availability"
{
  "data": {
    "available": {
      "employee_id": 0,
      "name": "string",
      "short_name": "string",
      "department_id": 0,
      "show_in_monitor": 0
    },
    "busy": {
      "employee_id": 0,
      "name": "string",
      "short_name": "string",
      "department_id": 0,
      "show_in_monitor": 0
    }
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}